#include <definitions>
/* NB "STARTUP_BACKGROUND" is a special backgroudn name - if this exists E
 * Will display the "blinds" on startup and hid whatever it is doing behind
 * these whilst "booting"
 */


/* numbers in the dfn below mean as follows:
  1   -- Layer level (in this case, the first layer overlay
         file)
  512 -- orientation horizontally
  768 -- orientation vertically (uses image alignment stuff
         from imageclasses.cfg)
  0   -- scaling percentage horizontally (0 == no scaling
         1024 == whole screen)
  0   -- scaling percentage vertically
*/

__DESKTOP __BGN
  __NAME STARTUP_BACKGROUND
  __SOLID_COLOR 214 214 214
  __FORGROUND_LAYER "backgrounds/images/gtk_overlay.png" 1 512 768 0 0
__END

/* NB - need to define these for the dragbar - the horizontal one is 
 * displayed on startup
 */
__ICLASS __BGN
  __NAME DESKTOP_DRAGBUTTON_HORIZ
  __NORMAL "common/images/box_normal.png"
  __EDGE_SCALING 3 2 3 2
  __CLICKED "common/images/box_clicked.png"
  __EDGE_SCALING 3 2 3 2
__END

/* Progress bar stuff needed to be able to start and look decent */
__ICLASS __BGN
  __NAME PROGRESS_BAR
/* normal used for text background */  
  __NORMAL  "common/images/box_normal.png"
  __EDGE_SCALING 3 2 3 2
/* used for numeric bg */
  __CLICKED "common/images/box_normal.png"
  __EDGE_SCALING 3 2 3 2
/* used for bar itself */  
  __NORMAL_ACTIVE  "common/images/box_hilited.png"
  __EDGE_SCALING 3 2 3 2
  __PADDING 8 8 1 1
__END

__TCLASS __BGN
  __NAME "PROGRESS_TEXT"
  __NORMAL "-*-helvetica-bold-r-normal-*-*-100-*-*-p-*-iso8859-1"
  __DRAWING_EFFECT __EFFECT_NORMAL
  __FORGROUND_COLOR 0 0 0
  __BACKGROUND_COLOR 0 0 0
  __JUSTIFICATION 0
__END

__TCLASS __BGN
  __NAME "PROGRESS_TEXT_NUMBER"
  __NORMAL "-*-helvetica-bold-r-normal-*-*-100-*-*-p-*-iso8859-1"
  __DRAWING_EFFECT __EFFECT_NORMAL
  __FORGROUND_COLOR 0 0 0
  __BACKGROUND_COLOR 0 0 0
  __JUSTIFICATION 512
__END
